using UnityEngine;
using System;
using System.Collections.Generic;

public class FamilyHigh01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "Your son Olaf has just turn 16 and must pass the Warrior's Rite of Passage, journeying into the woods to hunt down a savage animal. The boy, though, refuses to kill innocent animals and his mother supports his decision. It would be a shame if the people found out about this.";
    }

    protected override string GetSender()
    {
        return "Elminster, Hand of the King";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Family;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.High;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Force him", 
                new ResponseLetter
                (
                    "Your son wasn't very pleased to be force to participate in the rite, my lord. At least no one suspected anything.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.Family, -0.2f} }
                )
            ),
            new Choice
            (
                "Use a double of the boy", 
                new ResponseLetter
                (
                    "Everything went smoothy in the rite, my liege. Well played.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.Family, +0.2f} }
                )
            ),
            new Choice
            (
                "Respect the boy's decision", 
                new ResponseLetter
                (
                    "Your family and son are glad you stood by them, sir. Your public image, on the other side...", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Family, +0.2f} }
                )
            )
        };
    }
}